//--------------------------------------------------------------------



#if defined(__cplusplus)
#error This Program was designed to be compiled using C not C++.
#endif

#define TitleCaption "128Gamma - NetWorkDLS"
#define Version "Version 2.0 - Not Revised"

#define ENCFlag "Encrypted~"
#define PACFlag "128Packed~"

#define VersionInfo 10000
#define BufferSize 1

#include "Headers/SelectDef.H"
//--------------------------------------------------------------------

FILE *Working_File, *CypherTemp_File, *EncryptTemp_File;

//--------------------------------------------------------------------

extern DWORD WINAPI Thread(LPVOID );

extern void SetText (HWND, char *);
extern void CenterWindow (HWND);
extern void Error(char *);

extern char *GetText (HWND);
extern char *GetTempDirectory(void);
extern char *CreateKey(void);

extern int WINAPI WinMain (HWND, HWND, LPSTR, int );
extern int PasswordDialog (HWND, int , int , int );
extern int AboutDialog (HWND, int , int , int );
extern int StatusDialog (HWND , int , int , int );

extern int IncodeMain(char *, char *);
extern int DecodeMain(char *, char *);
extern int EncryptProcess(void);
extern int DecryptProcess(void);

extern int ProcessInput(char *);

extern int CharInt (char *);
extern int CleanUp(int, int);
extern int Encrypted(char *);
extern int SetTempVariables(void);

extern int EnCode(char *, char *, char *);
extern int DeCode(char *, char *, char *);

extern short FileEmpty(char *);

//--------------------------------------------------------------------

static char EncryptTemp[257];
static char PackBackupTemp[257];
static char F[256];
static char Temp[256];
static char Key[100];
static char *Status;
static char *CodedKey;
static char *MethodFlag;

static int End_Of_File = 0;

static short KeyLength = 0;
static short Encrypt = 0;
static short Decrypt = 0;

static short PackingFiles = 0;
static short UnPackingFiles = 0;

static float SourceFileSize = 0;
static float StatusValue = 0;

//--------------------------------------------------------------------

static HANDLE Thread_Handle;
static long Thread_ID;

//--------------------------------------------------------------------

static HWND hInstance = 0;
static HWND PasswordDialog_hWnd = 0;
static HWND AboutDialog_hWnd = 0;
static HWND StatusDialog_hWnd = 0;

static HWND PasswordEdit_hWnd = 0;
static HWND InfoTextStatic_hWnd = 0;

//--------------------------------------------------------------------

static short KillFlag = 0;
static short Verifiy = 0;
static short DoneFlag = 0;



